<?php

/**
 * The public-facing functionality of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Plugin_Name
 * @subpackage Plugin_Name/public
 */

/**
 * The public-facing functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the admin-specific stylesheet and JavaScript.
 *
 * @package    Plugin_Name
 * @subpackage Plugin_Name/public
 * @author     Your Name <email@example.com>
 */
class Facebook_Livechat_Public {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $plugin_name    The ID of this plugin.
	 */
	private $plugin_name;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @param      string    $plugin_name       The name of the plugin.
	 * @param      string    $version    The version of this plugin.
	 */
	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version = $version;

	}

	/**
	 * Register the stylesheets for the public-facing side of the site.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_styles() {
		wp_enqueue_style( $this->plugin_name, plugin_dir_url( __FILE__ ) . 'css/facebook-livechat-public.css', array(), $this->version, 'all' );

	}

	/**
	 * Register the JavaScript for the public-facing side of the site.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_scripts() {
		wp_enqueue_script( $this->plugin_name, plugin_dir_url( __FILE__ ) . 'js/facebook-livechat-public.js', array( 'jquery' ), $this->version, false );

	}
	
	public function handle_public_request(){
		if(get_option('fl_setting')){
			$fl_select_page = array();
			$fl_select_post = array();
			extract(json_decode(get_option('fl_setting'),true));
			if(isset($fl_app_id) && isset($fl_page_add)){
				if( $fl_app_id !='' &&  $fl_page_add != '' ){
					$fl_Show_all_all = isset($fl_Show_all)?$fl_Show_all:'';
					$fl_btn_txt  = isset($fl_btn_txt)?$fl_btn_txt:'Live Chat';
					
					 
						 
						 if($fl_Show_all_all == "yes"  ){
							require_once plugin_dir_path( __FILE__) . 'partials/facebook-livechat-public-display.php';
						 }else{
								 if(is_page() && in_array(get_the_id(), $fl_select_page)){
								 require_once plugin_dir_path( __FILE__) . 'partials/facebook-livechat-public-display.php';
							 }elseif(is_single() && in_array(get_the_id(), $fl_select_post)){
								 require_once plugin_dir_path( __FILE__) . 'partials/facebook-livechat-public-display.php';
							 }
						 }
						
					 
				}
			}
		}
	}

}
